services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  WebitDe\DrbeckmannApi\Widgets\:
    resource: "../Classes/Widgets/*"

  dashboard.widget.importproductwidget:
    class: 'WebitDe\DrbeckmannApi\Widgets\ImportProductWidget'
    arguments:
      $dataProvider: '@WebitDe\DrbeckmannApi\Widgets\Provider\ProductsImportProvider'
      $view: '@dashboard.views.widget'
      $options:
        template: 'Widgets/Widget'
    tags:
      - name: dashboard.widget
        identifier: "importproductwidget"
        groupNames: "general"
        title: "Dr. Beckmann Produkt-Import"
        description: "Listet zuletzt importierte Produkte auf."
        iconIdentifier: "drbeckmann-logo"
        height: "large"
        width: "large"
